<?php 
//incluir la conexion de base de datos
require "../config/Conexion.php";
class Categoria{


	//implementamos nuestro constructor
public function __construct(){

}

//metodo insertar regiustro
public function insertar($nombre,$descripcion,$tipoproducto){
	$sql="INSERT INTO categoria (nombre,descripcion,tipoproducto,condicion) VALUES ('$nombre','$descripcion','$tipoproducto','1')";
	return ejecutarConsulta($sql);
}

public function editar($idcategoria,$nombre,$descripcion,$tipoproducto){
	$sql="UPDATE categoria SET nombre='$nombre',descripcion='$descripcion',tipoproducto='$tipoproducto' 
	WHERE idcategoria='$idcategoria'";
	return ejecutarConsulta($sql);
}
public function desactivar($idcategoria){
	$sql="UPDATE categoria SET condicion='0' WHERE idcategoria='$idcategoria'";
	return ejecutarConsulta($sql);
}
public function activar($idcategoria){
	$sql="UPDATE categoria SET condicion='1' WHERE idcategoria='$idcategoria'";
	return ejecutarConsulta($sql);
}

//metodo para mostrar registros
public function mostrar($idcategoria){
	$sql="SELECT * FROM categoria WHERE idcategoria='$idcategoria'";
	return ejecutarConsultaSimpleFila($sql);
}

//listar registros
public function listar(){
	$sql="SELECT * FROM categoria WHERE tipoproducto<>'Insumo' AND tipoproducto<>'Servicio'";
	return ejecutarConsulta($sql);
}

public function listari(){
	$sql="SELECT * FROM categoria WHERE tipoproducto='Insumo'";
	return ejecutarConsulta($sql);
}

public function listarsa(){
	$sql="SELECT * FROM categoria WHERE tipoproducto='Servicio'";
	return ejecutarConsulta($sql);
}
//listar y mostrar en selct
public function select(){
	$sql="SELECT * FROM categoria WHERE condicion=1 AND tipoproducto<>'Insumo' AND tipoproducto<>'Servicio'";
	return ejecutarConsulta($sql);
}

public function selectCategoriasinmixto(){
	$sql="SELECT * FROM categoria WHERE condicion=1 AND tipoproducto<>'Insumo' AND tipoproducto<>'Servicio' AND tipoproducto<>'Mixto'";
	return ejecutarConsulta($sql);
}

public function selecti(){
	$sql="SELECT * FROM categoria WHERE condicion=1 and tipoproducto='Insumo'";
	return ejecutarConsulta($sql);
}

public function selectsa(){
	$sql="SELECT * FROM categoria WHERE condicion=1 and tipoproducto='Servicio'";
	return ejecutarConsulta($sql);
}

public function selectscamiseria(){
	$sql="SELECT * FROM categoria WHERE condicion=1 and nombre='CAMISAS' OR nombre='GUAYABERAS'";
	return ejecutarConsulta($sql);
}

public function selectssastreria(){
	$sql="SELECT * FROM categoria WHERE condicion=1 and nombre='PANTALONES' OR nombre='CHAQUETAS'";
	return ejecutarConsulta($sql);
}

public function selectssastreriainsumo(){
	$sql="SELECT * FROM categoria WHERE condicion=1 and nombre='INSUMOSASTRERIA' OR nombre='INSUMOCAMISERIA'";
	return ejecutarConsulta($sql);
}

}

 ?>
